MyGUI::OverlappedLayer Class Reference

`#include <MyGUI_OverlappedLayer.h>`

Inheritance diagram for MyGUI::OverlappedLayer:
[legend]

## Public Types

typedef RTTIBase | Base
typedef OverlappedLayer | RTTIBase
Public Types inherited from MyGUI::ILayer
typedef RTTIBase | Base
typedef ILayer | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| OverlappedLayer ()
| ~OverlappedLayer () override
void | deserialization (xml::ElementPtr _node, Version _version) override
void | setPick (bool _pick)
ILayerNode * | createChildItemNode () override
void | destroyChildItemNode (ILayerNode *_item) override
void | upChildItemNode (ILayerNode *_item) override
EnumeratorILayerNode | getEnumerator () const override
size_t | getLayerNodeCount () const override
ILayerNode * | getLayerNodeAt (size_t _index) const override
ILayerItem * | getLayerItemByPoint (int _left, int _top) const override
IntPoint | getPosition (int _left, int _top) const override
const IntSize & | getSize () const override
void | renderToTarget (IRenderTarget *_target, bool _update) override
void | resizeView (const IntSize &_viewSize) override
bool | isOutOfDate () const
Public Member Functions inherited from MyGUI::ILayer
template<typename Type>
bool | isType () const
| ILayer ()=default
const std::string & | getName () const
void | setName (std::string_view _name)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ILayer
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Protected Attributes

bool | mIsPick {false}
VectorILayerNode | mChildItems
bool | mOutOfDate {false}
IntSize | mViewSize
Protected Attributes inherited from MyGUI::ILayer
std::string | mName

## Detailed Description

Definition at line 17 of file MyGUI_OverlappedLayer.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::OverlappedLayer::Base

Definition at line 19 of file MyGUI_OverlappedLayer.h.

## RTTIBase

typedef OverlappedLayer MyGUI::OverlappedLayer::RTTIBase

Definition at line 19 of file MyGUI_OverlappedLayer.h.

## Constructor & Destructor Documentation

## OverlappedLayer()

MyGUI::OverlappedLayer::OverlappedLayer | ( |  | ) |

Definition at line 16 of file MyGUI_OverlappedLayer.cpp.

## ~OverlappedLayer()

MyGUI::OverlappedLayer::~OverlappedLayer | ( |  | ) |

override

Definition at line 21 of file MyGUI_OverlappedLayer.cpp.

## Member Function Documentation

## createChildItemNode()

ILayerNode * MyGUI::OverlappedLayer::createChildItemNode | ( |  | ) |

override virtual

Implements MyGUI::ILayer.

Definition at line 56 of file MyGUI_OverlappedLayer.cpp.

## deserialization()

void MyGUI::OverlappedLayer::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version )

override virtual

Reimplemented from MyGUI::ISerializable.

Definition at line 27 of file MyGUI_OverlappedLayer.cpp.

## destroyChildItemNode()

void MyGUI::OverlappedLayer::destroyChildItemNode | ( | ILayerNode * | _item | ) |

override virtual

Implements MyGUI::ILayer.

Definition at line 67 of file MyGUI_OverlappedLayer.cpp.

## getClassTypeName()

std::string_view MyGUI::OverlappedLayer::getClassTypeName | ( |  | ) |

inline static

Definition at line 19 of file MyGUI_OverlappedLayer.h.

## getEnumerator()

EnumeratorILayerNode MyGUI::OverlappedLayer::getEnumerator | ( |  | ) | const

override virtual

Implements MyGUI::ILayer.

Definition at line 166 of file MyGUI_OverlappedLayer.cpp.

## getLayerItemByPoint()

ILayerItem * MyGUI::OverlappedLayer::getLayerItemByPoint | ( | int | _left,
|  | int | _top ) const

override virtual

Implements MyGUI::ILayer.

Definition at line 129 of file MyGUI_OverlappedLayer.cpp.

## getLayerNodeAt()

ILayerNode * MyGUI::OverlappedLayer::getLayerNodeAt | ( | size_t | _index | ) | const

override virtual

Implements MyGUI::ILayer.

Definition at line 176 of file MyGUI_OverlappedLayer.cpp.

## getLayerNodeCount()

size_t MyGUI::OverlappedLayer::getLayerNodeCount | ( |  | ) | const

override virtual

Implements MyGUI::ILayer.

Definition at line 171 of file MyGUI_OverlappedLayer.cpp.

## getPosition()

IntPoint MyGUI::OverlappedLayer::getPosition | ( | int | _left,
|  | int | _top ) const

override virtual

Implements MyGUI::ILayer.

Definition at line 145 of file MyGUI_OverlappedLayer.cpp.

## getSize()

const IntSize & MyGUI::OverlappedLayer::getSize | ( |  | ) | const

override virtual

Implements MyGUI::ILayer.

Definition at line 183 of file MyGUI_OverlappedLayer.cpp.

## getTypeName()

virtual std::string_view MyGUI::OverlappedLayer::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::ILayer.

Definition at line 19 of file MyGUI_OverlappedLayer.h.

## isOutOfDate()

bool MyGUI::OverlappedLayer::isOutOfDate | ( |  | ) | const

Definition at line 188 of file MyGUI_OverlappedLayer.cpp.

## isType() [1/2]

template<typename Type>

bool MyGUI::OverlappedLayer::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 19 of file MyGUI_OverlappedLayer.h.

## isType() [2/2]

virtual bool MyGUI::OverlappedLayer::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::ILayer.

Definition at line 19 of file MyGUI_OverlappedLayer.h.

## renderToTarget()

void MyGUI::OverlappedLayer::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update )

override virtual

Implements MyGUI::ILayer.

Definition at line 150 of file MyGUI_OverlappedLayer.cpp.

## resizeView()

void MyGUI::OverlappedLayer::resizeView | ( | const IntSize & | _viewSize | ) |

override virtual

Implements MyGUI::ILayer.

Definition at line 158 of file MyGUI_OverlappedLayer.cpp.

## setPick()

void MyGUI::OverlappedLayer::setPick | ( | bool | _pick | ) |

Definition at line 51 of file MyGUI_OverlappedLayer.cpp.

## upChildItemNode()

void MyGUI::OverlappedLayer::upChildItemNode | ( | ILayerNode * | _item | ) |

override virtual

Implements MyGUI::ILayer.

Definition at line 97 of file MyGUI_OverlappedLayer.cpp.

## Field Documentation

## mChildItems

VectorILayerNode MyGUI::OverlappedLayer::mChildItems

protected

Definition at line 60 of file MyGUI_OverlappedLayer.h.

## mIsPick

bool MyGUI::OverlappedLayer::mIsPick {false}

protected

Definition at line 59 of file MyGUI_OverlappedLayer.h.

## mOutOfDate

bool MyGUI::OverlappedLayer::mOutOfDate {false}

protected

Definition at line 61 of file MyGUI_OverlappedLayer.h.

## mViewSize

IntSize MyGUI::OverlappedLayer::mViewSize

protected

Definition at line 62 of file MyGUI_OverlappedLayer.h.

The documentation for this class was generated from the following files:

- MyGUI_OverlappedLayer.h
- MyGUI_OverlappedLayer.cpp